eZ Community » Forums » Install & configuration » eZ 4.4 setup error
expandshrink

eZ 4.4 setup error

eZ 4.4 setup error

Wednesday 29 September 2010 6:47:10 am - 3 replies

I'm getting the following fatal error:

Fatal error: Call to a member function unserializeContentClassAttribute() on a non-object in /var/www/ezpublish-4.4.0-gpl/kernel/classes/packagehandlers/ezcontentclass/ezcontentclasspackagehandler.php on line 408

Any ideas?

Wednesday 29 September 2010 8:16:14 am

Did that happen while running the setup wizard ? At which step exactly, and with which package ?

Wednesday 29 September 2010 10:18:32 am

ezc Archive bug maybe?

If it is: ezc isn't bundled in the community (I think, haven't checked) version since one is supposed to use Zeta Component, but they haven't released it yet. So if this is caused by the Archive bug, download eZ Publish EE gpl trial version from ez.no and copy lib/ezc from that package into your community edition install. (EE bundles components to reduce our support vector)

Modified on Wednesday 29 September 2010 10:24:01 am by André R

Wednesday 29 September 2010 9:23:58 pm

Thanks guys. It was during setup, after all configuration has been set (ie, final stage, after registration screen), using eZ Components downloaded via PEAR.

Used bundled components from eZ Publish EE and it worked fine. May have worked ok with eZ Publish CE bundled components too, but I'll let someone else test that out.

Will make a comment on the community download page.

Many thanks!

Modified on Wednesday 29 September 2010 9:55:15 pm by Geoff Bentley

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from